---
title: Screen Orientation API
slug: Web/API/Screen_Orientation_API
tags:
  - API
  - Draft
  - Experimental
  - NeedsContent
  - Overview
  - Screen Orientation
---
<p>{{DefaultAPISidebar("Screen Orientation API")}}{{Draft}}{{SeeCompatTable}}</p>

<p>The <strong>Screen Orientation API</strong> provides information about the orientation of the screen.</p>

<h2 id="Interfaces">Interfaces</h2>

<div class="index">
<ul>
	<li>{{DOMxRef("ScreenOrientation")}}</li>
</ul>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("Screen Orientation")}}</td>
			<td>{{Spec2("Screen Orientation")}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<h3 id="DOMxRef(ScreenOrientation)">{{DOMxRef("ScreenOrientation")}}</h3>

<p>{{Compat("api.ScreenOrientation")}}</p>
